VismaBouwsoftAPICalls.v1_GET_CodeTranslations Method
v1_GET_CodeTranslations() as String

This API call is used to get fields of a(n) CodeTranslation(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /CodeTranslations/
or
API Path: /CodeTranslations/FieldInfo/

You make this API call:
* to get the result of CodeTranslations

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
code 2 tpString 250 No No No
translation 2 tpString 0 No No No

/CodeTranslations/

API Path: /CodeTranslations/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CodeTranslations

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IOGfWxfPlmzSfAmIVfzRqIlIftAfGfDUfAGbzttDrmkfIUlVIl

Query Parameters :
ParameterName: filter, ParameterValue: code%20eq%20%27LNGFOUTBIJOVERBRENGEN%27%20and%20languageid%20eq%204

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 11932,
    "code": "LNGFOUTBIJOVERBRENGEN",
    "languageid": 4,
    "translation": "Fout bij overbrengen"
  }
]
}

https://ra.bouwsoft.be/api/v1/CodeTranslations

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IjtfWxfUUfzSflVbPfzRqllPfODtfGlkflbkzPbADIUGUGjDlm

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/21542”, “Records”: [
  {
    "id": 1,
    "code": "LNGBESTANDINGEBRUIKRETRY_X",
    "languageid": 1,
    "translation": "Het bestand {1} is nog open.\r\n\r\nSluit dit bestand, en druk op \"JA\" om nogmaals te proberen.\r\nOf druk op \"NEE\" om het bestand open te laten, en door te gaan.\r\nHierdoor verliest u alle wijzigingen die u heeft aangebracht."
  },
  {
    "id": 2,
    "code": "LNGBESTANDINGEBRUIKRETRY_X",
    "languageid": 2,
    "translation": "The file {1} is still open.\r\n\r\nClose this file, then click on \"YES\" to try again.\r\nOr click on \"NO\" to leave the file open and then continue.\r\nNote: If you do this, you will lose all the changes you have made."
  }
,

]
}

/CodeTranslations/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CodeTranslations/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "code",
    "type_id": 2,
    "type_name": "tpString",
    "length": 250,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "translation",
    "type_id": 2,
    "type_name": "tpString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
]